Check out what’s new from Firebase@ Google I/O 2021, and join our alpha program for early access to the new Remote Config personalization feature. Learn more

תלות ב- SDK של Android של Firebase בשירותי Google Play

חלק מסרטי ה- SDK של Android של Firebase תלויים בשירותי Google Play , מה שאומר שהם יפעלו רק במכשירים ואמולטורים עם שירותי Google Play מותקנים. קבצי SDK אלה של Firebase מתקשרים עם שירות הרקע של שירותי Google Play במכשיר כדי לספק יישום API מאובטח, מעודכן וקל משקל. במכשירי Android מסוימים, כמו מכשירי Amazon Kindle Fire או כאלה שנמכרים באזורים מסוימים, לא מותקנים שירותי Google Play.

אילו SDK של Firebase דורשים שירותי Google Play?

ניתן לחלק את SDK של Firebase לשלוש קטגוריות:

  • שירותי Play נדרשים - SDK אלה דורשים שירותי Google Play, אחרת אין להם פונקציונליות.
  • שירותי Play מומלצים - SDK אלה דורשים משירותי Google Play להיות בעלי פונקציונליות מלאה , אך הם עדיין מציעים את רוב הפונקציונליות גם ללא שירותי Google Play.
  • שירותי Play אינם נדרשים - SDKS אלה אינם דורשים כי שירותי Google Play יהיו בעלי פונקציונליות מלאה.

הטבלאות שלהלן מדויקות רק למהדורה האחרונה של כל SDK. בחלק מהגרסאות הישנות עשויות להיות דרישות מחמירות יותר.

שירותי Google Play אינם נדרשים

מוצר סִפְרִיָה שירותי גוגל פליי?
אימות com.google.firebase: firebase-auth: 21.0.1
com.google.firebase: firebase-auth-ktx: 21.0.1
לא דרוש
ענן Firestore com.google.firebase: firebase-firestore: 23.0.1
com.google.firebase: firebase-firestore-ktx: 23.0.1
לא דרוש
פונקציות ענן עבור SDK של לקוח Firebase com.google.firebase: פונקציות firebase: 20.0.0
com.google.firebase: firebase-functions-ktx: 20.0.0
לא דרוש
אחסון בענן עבור Firebase com.google.firebase: אחסון firebase: 20.0.0
com.google.firebase: firebase-storage-ktx: 20.0.0
לא דרוש
קריסלטיקים com.google.firebase: firebase-crashlytics: 18.0.1
com.google.firebase: firebase-crashlytics-ktx: 18.0.1
לא דרוש
הודעות בתוך האפליקציה com.google.firebase: firebase-inappmessaging: 20.0.0
com.google.firebase: firebase-inappmessaging-ktx: 20.0.0
לא דרוש
תצוגת הודעות בתוך האפליקציה com.google.firebase: firebase-inappmessaging-display: 20.0.0
com.google.firebase: firebase-inappmessaging-display-ktx: 20.0.0
לא דרוש
התקנות Firebase com.google.firebase: התקנות firebase: 17.0.0
com.google.firebase: firebase-installations-ktx: 17.0.0
לא דרוש
ניטור ביצועים com.google.firebase: firebase-perf: 20.0.1
com.google.firebase: firebase-perf-ktx: 20.0.1
לא דרוש
מסד נתונים בזמן אמת com.google.firebase: מסד נתונים firebase: 20.0.0
com.google.firebase: firebase-database-ktx: 20.0.0
לא דרוש
תצורה מרחוק com.google.firebase: firebase-config: 21.0.0
com.google.firebase: firebase-config-ktx: 21.0.0
לא דרוש
מוצר סִפְרִיָה שירותי גוגל פליי?
AdMob com.google.android.gms: play-services-ads: 20.2.0 מוּמלָץ*
ניתוח com.google.firebase: firebase-analytics: 19.0.0
com.google.firebase: firebase-analytics-ktx: 19.0.0
מוּמלָץ*
יצירת אינדקס לאפליקציות com.google.firebase: firebase-appindexing: 20.0.0 נדרש
מסרים בענן com.google.firebase: הודעות firebase: 22.0.0
com.google.firebase: firebase-messaging-ktx: 22.0.0
נדרש
קישורים דינמיים com.google.firebase: firebase-dynamic-links: 20.1.0
com.google.firebase: firebase-dynamic-links-ktx: 20.1.0
נדרש
Firebase ML Vision com.google.firebase: firebase-ml-vision: 24.1.0 נדרש
דגם מותאם אישית של Firebase ML com.google.firebase: firebase-ml-model-tolk: 22.0.4 נדרש

* ה- SDK של Firebase עבור Google Analytics יכול לשלוח אירועים בכל מכשיר, אך כמה תובנות אוטומטיות כגון דמוגרפיה זמינות רק במכשירים עם שירותי Google Play.